---
name: 🐛 Bug Report
about: Create a report to help us improve
title: ''
labels: ⚠️bug?
assignees: ''

---

<!--
Thanks for reporting!
First, in order to avoid duplicate Issues, please search to see if the problem you found has already been reported.
Also, If you are NOT owner/admin of server, PLEASE DONT REPORT SERVER SPECIFIC ISSUES TO HERE! (e.g. feature XXX is not working in misskey.example) Please try with another misskey servers, and if your issue is only reproducible with specific server, contact your server's owner/admin first.
-->

## 💡 Summary

<!-- Tell us what the bug is -->

## 🥰 Expected Behavior

<!--- Tell us what should happen -->

## 🤬 Actual Behavior

<!--
Tell us what happens instead of the expected behavior.
Please include errors from the developer console and/or server log files if you have access to them.
-->

## 📝 Steps to Reproduce

1.
2.
3.

## 📌 Environment

<!-- Tell us where on the platform it happens -->
<!-- DO NOT WRITE "latest". Please provide the specific version. -->

### 💻 Frontend
* Model and OS of the device(s):
  <!-- Example: MacBook Pro (14inch, 2021), macOS Ventura 13.4 -->
* Browser:
  <!-- Example: Chrome 113.0.5672.126 -->
* Server URL:
  <!-- Example: misskey.io -->
* Misskey:
  13.x.x

### 🛰 Backend (for server admin)
<!-- If you are using a managed service, put that after the version. -->

* Installation Method or Hosting Service: <!-- Example: docker compose, k8s/docker, systemd, "Misskey install shell script", development environment -->
* Misskey: 13.x.x
* Node: 20.x.x
* PostgreSQL: 15.x.x
* Redis: 7.x.x
* OS and Architecture: <!-- Example: Ubuntu 22.04.2 LTS aarch64 -->
